<?php
class appHrefLangBackendActions extends stAdminGeneratorActions{
     
    public function executeIndex(){
        
        $i18n = $this->getContext()->getI18N();

        $this->config  = stConfig::getInstance(sfContext::getInstance(), 'appHrefLangBackend');

        $this->config->setCulture($this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {

            $this->config->set('enable', $this->getRequestParameter('hreflang[enable]'));
            
            $this->config->save();
            
            stFastCacheManager::clearCache();
            
            $this->setFlash('notice', $i18n->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
            
            $this->redirect('appHrefLangBackend/index?culture=' . $this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        }

        $i18n = $this->getContext()->getI18N();

        $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));
        
    }

    protected function getBreadcrumbs(){
        if (null === $this->breadcrumbs)
        {
            $i18n = $this->getContext()->getI18N();
            $this->breadcrumbs = parent::getBreadcrumbs();
            $this->breadcrumbs->add($i18n->__('Pozycjonowanie międzynarodowe'), '@appHrefLangPlugin');
        }

        return $this->breadcrumbs;
    }
    
}