<?php use_helper('I18N', 'stAdminGenerator') ?>
<?php echo st_get_admin_head('appHrefLangPlugin', __('Konfiguracja'), array('culture' => $config->getCulture()), array('stConfigurationPlugin')) ?>

<div id="sf_admin_content" class="admin-content-edit">

<?php st_view_slot_start('application-menu') ?>
    1<?php st_include_partial('appHrefLangBackend/config_menu'); ?>2
<?php st_view_slot_end() ?>

<?php if ($sf_flash->has('notice')): ?>
    <div class="save-ok">
        <h2><?php echo $sf_flash->get('notice') ?></h2>
    </div>
<?php endif; ?>

<?php echo form_tag('appHrefLangBackend/index?culture='.$config->getCulture(), array('id' => 'admin_config_form', 'name' => 'admin_config_form', 'class' => 'admin_form'));?>
    <fieldset class="sf_fieldset_none">
        <div class="content">
            <div class="row">
                <?php echo label_for('hreflang[enable]', __('Włącz')) ?>
                 <div class="field"><?php echo st_admin_checkbox_tag('hreflang[enable]',true,$config->get('enable')) ?></div>
                <div class="clr"></div>
            </div>
        </div>             
    </fieldset>
   <div id="config_actions">
       <?php echo st_get_admin_actions_head() ?>
       <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
       <?php echo st_get_admin_actions_foot() ?>
    </div>
    </form>
</div>

<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>
